# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "highline"
  s.version = "1.7.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["James Edward Gray II"]
  s.date = "2015-10-09"
  s.description = "A high-level IO library that provides validation, type conversion, and more for\ncommand-line interfaces. HighLine also includes a complete menu system that can\ncrank out anything from simple list selection to complete shells with just\nminutes of work.\n"
  s.email = "james@graysoftinc.com"
  s.extra_rdoc_files = ["README.rdoc", "INSTALL", "TODO", "Changelog.md", "LICENSE"]
  s.files = [".gitignore", ".travis.yml", "AUTHORS", "COPYING", "Changelog.md", "Gemfile", "INSTALL", "LICENSE", "README.rdoc", "Rakefile", "TODO", "doc/.cvsignore", "examples/ansi_colors.rb", "examples/asking_for_arrays.rb", "examples/basic_usage.rb", "examples/color_scheme.rb", "examples/get_character.rb", "examples/limit.rb", "examples/menus.rb", "examples/overwrite.rb", "examples/page_and_wrap.rb", "examples/password.rb", "examples/repeat_entry.rb", "examples/trapping_eof.rb", "examples/using_readline.rb", "highline.gemspec", "lib/highline.rb", "lib/highline/color_scheme.rb", "lib/highline/compatibility.rb", "lib/highline/import.rb", "lib/highline/menu.rb", "lib/highline/question.rb", "lib/highline/simulate.rb", "lib/highline/string_extensions.rb", "lib/highline/style.rb", "lib/highline/system_extensions.rb", "lib/highline/version.rb", "setup.rb", "site/.cvsignore", "site/highline.css", "site/images/logo.png", "site/index.html", "test/string_methods.rb", "test/tc_color_scheme.rb", "test/tc_highline.rb", "test/tc_import.rb", "test/tc_menu.rb", "test/tc_simulator.rb", "test/tc_string_extension.rb", "test/tc_string_highline.rb", "test/tc_style.rb"]
  s.homepage = "https://github.com/JEG2/highline"
  s.licenses = ["Ruby"]
  s.rdoc_options = ["--title", "HighLine Documentation", "--main", "README"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubyforge_project = "highline"
  s.rubygems_version = "2.0.14.1"
  s.summary = "HighLine is a high-level command-line IO library."
  s.test_files = ["test/string_methods.rb", "test/tc_color_scheme.rb", "test/tc_highline.rb", "test/tc_import.rb", "test/tc_menu.rb", "test/tc_simulator.rb", "test/tc_string_extension.rb", "test/tc_string_highline.rb", "test/tc_style.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<code_statistics>, [">= 0"])
    else
      s.add_dependency(%q<code_statistics>, [">= 0"])
    end
  else
    s.add_dependency(%q<code_statistics>, [">= 0"])
  end
end

